Bug 560048 - X crashes with segfault on startup w/ kernel 2.6.32 Radeon Mobility M6 LY
Summary: X crashes with segfault on startup w/ kernel 2.6.32 Radeon Mobility M6 LY
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-29 18:37 UTC by Orion Poplawski
Modified: 2018-04-11 09:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 23:36:55 UTC


Attachments (Terms of Use)
Xorg log (28.80 KB, text/plain)
2010-01-29 18:46 UTC, Orion Poplawski
no flags Details
xorg.conf (472 bytes, text/plain)
2010-01-29 18:49 UTC, Orion Poplawski
no flags Details
Xorg log M7 LW (42.01 KB, text/plain)
2010-02-25 22:26 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2010-01-29 18:37:29 UTC
Description of problem:

This seemed to appear with a recent update.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY

Running 2.6.32.7-37.fc12.i686 plus updates-testing.

#0  0x00000000 in ?? ()
#1  0x001ef3b0 in ExaSrcValidate (pDrawable=<value optimized out>, x=<value optimized out>, 
    y=<value optimized out>, width=<value optimized out>, height=<value optimized out>)
    at exa_unaccel.c:468
#2  0x081b58d1 in miCompositeSourceValidate (pPicture=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at mipict.c:389
#3  0x081b64d9 in miComputeCompositeRegion (pRegion=<value optimized out>, 
    pSrc=<value optimized out>, pMask=<value optimized out>, pDst=<value optimized out>, 
    xSrc=<value optimized out>, ySrc=<value optimized out>, xMask=<value optimized out>, 
    yMask=<value optimized out>, xDst=<value optimized out>, yDst=<value optimized out>, 
    width=<value optimized out>, height=<value optimized out>) at mipict.c:482
#4  0x001ee539 in ExaPrepareCompositeReg (op=<value optimized out>, pSrc=<value optimized out>, 
    pMask=<value optimized out>, pDst=<value optimized out>, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at exa_unaccel.c:527
#5  ExaCheckComposite (op=<value optimized out>, pSrc=<value optimized out>, 
    pMask=<value optimized out>, pDst=<value optimized out>, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at exa_unaccel.c:626
#6  0x001ec30e in exaComposite (op=<value optimized out>, pSrc=<value optimized out>, 
    pMask=<value optimized out>, pDst=<value optimized out>, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at exa_render.c:1067
#7  0x0811bbe7 in damageComposite (op=<value optimized out>, pSrc=<value optimized out>, 
    pMask=<value optimized out>, pDst=<value optimized out>, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at damage.c:643
#8  0x0810f0d0 in CompositePicture (op=<value optimized out>, pSrc=<value optimized out>, 
    pMask=<value optimized out>, pDst=<value optimized out>, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at picture.c:1718
#9  0x080d3bbd in xf86RotateCrtcRedisplay (screenNum=<value optimized out>, 
    blockData=<value optimized out>, pTimeout=<value optimized out>, 
    pReadmask=<value optimized out>) at xf86Rotate.c:117
#10 xf86RotateRedisplay (screenNum=<value optimized out>, blockData=<value optimized out>, 
    pTimeout=<value optimized out>, pReadmask=<value optimized out>) at xf86Rotate.c:248
#11 xf86RotateBlockHandler (screenNum=<value optimized out>, blockData=<value optimized out>, 
    pTimeout=<value optimized out>, pReadmask=<value optimized out>) at xf86Rotate.c:268
#12 0x0055c5f6 in xf86EnableDisableFBAccess () at xf86Helper.c:1178
#13 0x081b35bb in AnimCurScreenBlockHandler (screenNum=<value optimized out>, 
    blockData=<value optimized out>, pTimeout=<value optimized out>, 
    pReadmask=<value optimized out>) at animcur.c:211
#14 0x080e815b in compBlockHandler (i=<value optimized out>, blockData=<value optimized out>, 
    pTimeout=<value optimized out>, pReadmask=<value optimized out>) at compinit.c:160
#15 0x08073768 in BlockHandler (pTimeout=<value optimized out>, pReadmask=<value optimized out>)
    at dixutils.c:379
#16 0x080a0ecc in WaitForSomething (pClientsReady=<value optimized out>) at WaitFor.c:216
#17 0x0806dfd0 in Dispatch () at dispatch.c:375
---Type <return> to continue, or q <return> to quit---
#18 0x08062925 in main (argc=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>) at main.c:285

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.7.4-3.fc12.i686
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.i686

Comment 1 Orion Poplawski 2010-01-29 18:45:46 UTC
Still crashes with:

xorg-x11-server-Xorg-1.7.99.3-1.20100120.fc13.i686
xorg-x11-drv-ati-6.13.0-0.20.20100125gitba99a82ce.fc13.i686

Comment 2 Orion Poplawski 2010-01-29 18:46:33 UTC
Created attachment 387623 [details]
Xorg log

Comment 3 Orion Poplawski 2010-01-29 18:49:20 UTC
Created attachment 387624 [details]
xorg.conf

Am able to start X with this xorg.conf.  This card has a tiny amount of RAM (16MB?) and we had bugs before handling two screens with the small memeory.

Comment 4 Matěj Cepl 2010-02-01 23:55:12 UTC
Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3c) [0x80e6b3c]
1: /usr/bin/X (0x8048000+0x5f056) [0x80a7056]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x15a40c]
Segmentation fault at address (nil)

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Comment 5 Orion Poplawski 2010-02-25 22:26:36 UTC
Created attachment 396409 [details]
Xorg log M7 LW

I'm also seeing this on F13 with:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
xorg-x11-server-Xorg-1.7.99.901-2.20100215.fc13.i686
xorg-x11-drv-ati-6.13.0-0.22.20100208git4f9d1714a.fc13.i686

Comment 6 Orion Poplawski 2010-04-05 20:41:47 UTC
Also seeing:

[drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (15360000, 4, 4096, -12)

Comment 7 Orion Poplawski 2010-04-07 15:02:09 UTC
Also seeing at boot before plymouth fails to start:

radeon 0000:01:00.0: f5f49c70 pin failed

Comment 8 Orion Poplawski 2010-05-03 20:21:33 UTC
Current Operating System: Linux cynosure 2.6.33.3-72.fc13.i686.PAE #1 SMP Wed Apr 28 16:06:48 UTC 2010 i686
Kernel command line: ro root=UUID=8aca20f9-8555-4585-b541-da9764dced16 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
Build Date: 23 April 2010  06:30:59PM
Build ID: xorg-x11-server 1.8.0-8.fc13 

Current version of pixman: 0.18.0
        Before reporting problems, check http://bodhi.fedoraproject.org/
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon May  3 14:14:39 2010
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) [KMS] Kernel modesetting enabled.
[tcsetpgrp failed in terminal_inferior: Operation not permitted]
(EE) RADEON(0): failed to set mode: Operation not permittedFailed to allocate :
   size      : 15360000 bytes
   alignment : 0 bytes
   domains   : 4
Detaching after fork from child process 1451.
Detaching after fork from child process 1452.
(EE) No input driver/identifier specified (ignoring)
(EE) No input driver/identifier specified (ignoring)
(EE) No input driver/identifier specified (ignoring)
(EE) No input driver/identifier specified (ignoring)

Program received signal SIGSEGV, Segmentation fault.
0x00000000 in ?? ()


(gdb) bt
#0  0x00000000 in ?? ()
#1  0x001e43d0 in ExaSrcValidate (pDrawable=0x9b9c9a8, x=1600, y=0, width=1600, height=1200)
    at exa_unaccel.c:468
#2  0x081b7621 in miCompositeSourceValidate (pPicture=0x9b99c60, x=<value optimized out>, 
    y=<value optimized out>, width=1600, height=1200) at mipict.c:389
#3  0x081b8229 in miComputeCompositeRegion (pRegion=0xbfd686cc, pSrc=0x9b99c60, pMask=0x0, 
    pDst=0x9d315c8, xSrc=0, ySrc=0, xMask=0, yMask=0, xDst=0, yDst=0, width=1600, height=1200)
    at mipict.c:482
#4  0x001e3517 in ExaPrepareCompositeReg (op=1 '\001', pSrc=0x9b99c60, pMask=0x0, 
    pDst=0x9d315c8, xSrc=0, ySrc=0, xMask=0, yMask=0, xDst=0, yDst=0, width=1600, height=1200)
    at exa_unaccel.c:527
#5  ExaCheckComposite (op=1 '\001', pSrc=0x9b99c60, pMask=0x0, pDst=0x9d315c8, xSrc=0, ySrc=0, 
    xMask=0, yMask=0, xDst=0, yDst=0, width=1600, height=1200) at exa_unaccel.c:626
#6  0x001e130e in exaComposite (op=1 '\001', pSrc=0x9b99c60, pMask=0x0, pDst=0x9d315c8, 
    xSrc=<value optimized out>, ySrc=<value optimized out>, xMask=0, yMask=0, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=1600, height=1200)
    at exa_render.c:1067
#7  0x0811ba37 in damageComposite (op=1 '\001', pSrc=0x9b99c60, pMask=0x0, pDst=0x9d315c8, 
    xSrc=0, ySrc=0, xMask=0, yMask=0, xDst=0, yDst=0, width=1600, height=1200) at damage.c:643
#8  0x0810ea60 in CompositePicture (op=<value optimized out>, pSrc=0x9b99c60, pMask=0x0, 
    pDst=0x9d315c8, xSrc=0, ySrc=0, xMask=0, yMask=0, xDst=0, yDst=0, width=1600, height=1200)
    at picture.c:1714
#9  0x080d303a in xf86RotateCrtcRedisplay (screenNum=0, blockData=0x0, pTimeout=0xbfd68d7c, 
    pReadmask=0x822e4c0) at xf86Rotate.c:117
#10 xf86RotateRedisplay (screenNum=0, blockData=0x0, pTimeout=0xbfd68d7c, pReadmask=0x822e4c0)
    at xf86Rotate.c:248
#11 xf86RotateBlockHandler (screenNum=0, blockData=0x0, pTimeout=0xbfd68d7c, 
    pReadmask=0x822e4c0) at xf86Rotate.c:268
#12 0x00644236 in ?? () from /usr/lib/xorg/modules/drivers/radeon_drv.so
#13 0x081b530b in AnimCurScreenBlockHandler (screenNum=0, blockData=0x0, pTimeout=0xbfd68d7c, 
    pReadmask=0x822e4c0) at animcur.c:211
#14 0x080e79fb in compBlockHandler (i=0, blockData=0x0, pTimeout=0xbfd68d7c, 
    pReadmask=0x822e4c0) at compinit.c:160
#15 0x08073358 in BlockHandler (pTimeout=0xbfd68d7c, pReadmask=0x822e4c0) at dixutils.c:369
#16 0x0809f3fc in WaitForSomething (pClientsReady=0x9d47f30) at WaitFor.c:216
#17 0x0806dc70 in Dispatch () at dispatch.c:375
#18 0x08062675 in main (argc=6, argv=0xbfd68f14, envp=0xbfd68f30) at main.c:286
(gdb) up
#1  0x001e43d0 in ExaSrcValidate (pDrawable=0x9b9c9a8, x=1600, y=0, width=1600, height=1200)
    at exa_unaccel.c:468
468         pScreen->SourceValidate(pDrawable, x, y, width, height);
(gdb) print pScreen
$1 = (struct _Screen *) 0x9b66ac0
(gdb) print *pScreen
$2 = {myNum = 0, id = 0, width = 3200, height = 1200, mmWidth = 411, mmHeight = 311, 
  numDepths = 7, rootDepth = 24 '\030', allowedDepths = 0x9b672a8, rootVisual = 33, 
  defColormap = 32, minInstalledCmaps = 1, maxInstalledCmaps = 1, 
  backingStoreSupport = 0 '\000', saveUnderSupport = 0 '\000', whitePixel = 16777215, 
  blackPixel = 0, rgf = 0, GCperDepth = {0x9b99da0, 0x9b99e98, 0x9b99fc8, 0x9b9b118, 
    0x9b9b248, 0x9b9b378, 0x9b9b4a8, 0x9b9b5d8, 0x0}, PixmapPerDepth = {0x9b9b708}, 
  devPrivate = 0x9b99c18, numVisuals = 64, visuals = 0x9b9a760, 
  CloseScreen = 0x18ff90 <glxCloseScreen>, 
  QueryBestSize = 0x8187f60 <xf86CursorQueryBestSize>, SaveScreen = 0x643f60, 
  GetImage = 0x81a6c10 <miSpriteGetImage>, GetSpans = 0x81a6a10 <miSpriteGetSpans>, 
  PointerNonInterestBox = 0x809b180 <miPointerPointerNonInterestBox>, SourceValidate = 0, 
  CreateWindow = 0x80e8620 <compCreateWindow>, DestroyWindow = 0x80e8520 <compDestroyWindow>, 
  PositionWindow = 0x80e8ee0 <compPositionWindow>, 
  ChangeWindowAttributes = 0x80e7a20 <compChangeWindowAttributes>, 
  RealizeWindow = 0x80e9210 <compRealizeWindow>, 
  UnrealizeWindow = 0x80e9180 <compUnrealizeWindow>, 
  ValidateTree = 0x815e8c0 <miValidateTree>, PostValidateTree = 0, 
  WindowExposures = 0x817c8b0 <xf86XVWindowExposures>, PaintWindowBackground = 0, 
  PaintWindowBorder = 0, CopyWindow = 0x80e8760 <compCopyWindow>, 
  ClearToBackground = 0x81ae750 <miClearToBackground>, 
  ClipNotify = 0x80e7f10 <compClipNotify>, RestackWindow = 0, 
  CreatePixmap = 0x1da1c0 <exaCreatePixmap_mixed>, DestroyPixmap = 0x214350 <XvDestroyPixmap>, 
  SaveDoomedAreas = 0, RestoreAreas = 0, ExposeCopy = 0, TranslateBackingStore = 0, 
  ClearBackingStore = 0, DrawGuarantee = 0, BackingStoreFuncs = {SaveAreas = 0, 
    RestoreAreas = 0, SetClipmaskRgn = 0, GetImagePixmap = 0, GetSpansPixmap = 0}, 
  RealizeFont = 0xdab230 <fbRealizeFont>, UnrealizeFont = 0xdab240 <fbUnrealizeFont>, 
  ConstrainCursor = 0x809c1b0 <miPointerConstrainCursor>, 
  CursorLimits = 0x81b4a00 <AnimCurCursorLimits>, 
  DisplayCursor = 0x81b4fb0 <AnimCurDisplayCursor>, 
  RealizeCursor = 0x81b48b0 <AnimCurRealizeCursor>, 
  UnrealizeCursor = 0x81b4ed0 <AnimCurUnrealizeCursor>, 
  RecolorCursor = 0x81b47a0 <AnimCurRecolorCursor>, 
  SetCursorPosition = 0x81b4950 <AnimCurSetCursorPosition>, 
  CreateGC = 0x811a4d0 <damageCreateGC>, CreateColormap = 0xd97b80 <fbInitializeColormap>, 
  DestroyColormap = 0x81711c0 <DGADestroyColormap>, 
  InstallColormap = 0x80e7260 <compInstallColormap>, 
  UninstallColormap = 0x81710b0 <DGAUninstallColormap>, 
  ListInstalledColormaps = 0xd97c50 <fbListInstalledColormaps>, 
  StoreColors = 0x81a6490 <miSpriteStoreColors>, ResolveColor = 0xd97bb0 <fbResolveColor>, 
  BitmapToRegion = 0x1d7840 <exaBitmapToRegion>, 
  SendGraphicsExpose = 0x809afd0 <miSendGraphicsExpose>, 
  BlockHandler = 0x80d2a40 <xf86RotateBlockHandler>, WakeupHandler = 0x80732f0 <NoopDDA>, 
  blockData = 0x0, wakeupData = 0x0, devPrivates = 0x9b8eef8, 
  CreateScreenResources = 0x643e40, 
  ModifyPixmapHeader = 0x1d9d80 <exaModifyPixmapHeader_mixed>, 
  GetWindowPixmap = 0xdab7b0 <_fbGetWindowPixmap>, 
  SetWindowPixmap = 0x811ac00 <damageSetWindowPixmap>, 
  GetScreenPixmap = 0x81a4bf0 <miGetScreenPixmap>, 
  SetScreenPixmap = 0x81a4c00 <miSetScreenPixmap>, pScratchPixmap = 0x0, totalPixmapSize = 48, 
  MarkWindow = 0x81aea60 <miMarkWindow>, 
  MarkOverlappedWindows = 0x81ae8b0 <miMarkOverlappedWindows>, ChangeSaveUnder = 0, 
  PostChangeSaveUnder = 0, ConfigNotify = 0, MoveWindow = 0x80e8dc0 <compMoveWindow>, 
  ResizeWindow = 0x80e8c90 <compResizeWindow>, GetLayerWindow = 0x81ad290 <miGetLayerWindow>, 
  HandleExposures = 0x81ae650 <miHandleValidateExposures>, 
  ReparentWindow = 0x80e92e0 <compReparentWindow>, SetShape = 0x81ad680 <miSetShape>, 
  ChangeBorderWidth = 0x80e8b80 <compChangeBorderWidth>, 
  MarkUnrealizedWindow = 0x81ad320 <miMarkUnrealizedWindow>, 
  DeviceCursorInitialize = 0x809bfc0 <miPointerDeviceInitialize>, 
  DeviceCursorCleanup = 0x809bf00 <miPointerDeviceCleanup>}
(gdb) print *pDrawable
$3 = {type = 0 '\000', class = 1 '\001', depth = 24 '\030', bitsPerPixel = 32 ' ', id = 275, 
  x = 0, y = 0, width = 3200, height = 1200, pScreen = 0x9b66ac0, serialNumber = 5}


Looks like pScreen->SourceValidate is null.

Comment 9 Bug Zapper 2010-11-03 23:34:56 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-03 23:36:55 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.